{
  "name": "webplay-client",
  "version": "0.1.0",
  "private": true,
  "description": "Web client for WebPlay Server",
  "author": "Artem Anufrij <artem.anufrij@live.de>",
  "scripts": {
    "serve": "NODE_OPTIONS=--openssl-legacy-provider vue-cli-service serve",
    "build": "NODE_OPTIONS=--openssl-legacy-provider vue-cli-service build",
    "lint": "vue-cli-service lint",
    "electron": "electron .",
    "linux-appimage": "electron-builder"
  },
  "main": "electron.js",
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^6.3.0",
    "@fortawesome/free-solid-svg-icons": "^6.3.0",
    "@fortawesome/vue-fontawesome": "^3.0.3",
    "axios": "^1.3.3",
    "body-parser": "^1.20.1",
    "core-js": "^3.28.0",
    "express": "^4.18.2",
    "mp3tag.js": "^3.3.2",
    "vue": "^3.2.47",
    "vue-router": "^4.1.6",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@babel/eslint-parser": "^7.19.1",
    "@vue/cli-plugin-babel": "^5.0.8",
    "@vue/cli-plugin-eslint": "^5.0.8",
    "@vue/cli-service": "^5.0.8",
    "electron": "^23.1.0",
    "electron-builder": "^23.6.0",
    "eslint": "^8.34.0",
    "eslint-plugin-vue": "^9.9.0"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "rules": {
      "no-undef": "off",
      "no-console": "off"
    },
    "parserOptions": {
      "parser": "@babel/eslint-parser"
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
  "build": {
    "appId": "de.anufrij.webplay",
    "directories": {
      "output": "release"
    },
    "linux": {
      "target": [
        {
          "target": "AppImage"
        }
      ],
      "category": "AudioVideo",
      "synopsis": "Generate your PMP",
      "packageCategory": "AudioVideo",
      "artifactName": "${productName}.${ext}",
      "desktop": {
        "Encoding": "UTF-8",
        "Name": "WebPlay",
        "Type": "Application",
        "Categories": "AudioVideo",
        "Terminal": "false"
      }
    }
  },
  "productName": "WebPlay Client"
}
